Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.xml.crypto.wss
Class ClientBSTHandler

    java.lang.Object
      weblogic.xml.crypto.wss.BinarySecurityTokenHandler
          weblogic.xml.crypto.wss.ClientBSTHandler

All Implemented Interfaces:
  SecurityTokenHandler

public class ClientBSTHandler
extends weblogic.xml.crypto.wss.BinarySecurityTokenHandler

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ClientBSTHandler()`

Method Summary
`static SecurityTokenHandler` | `getInstance()`
`Subject` | `getSubject(SecurityToken token, MessageContext msgCtx)`
`weblogic.xml.crypto.wss.SecurityTokenValidateResult` | `validateProcessed(SecurityToken token, MessageContext ctx)`
`weblogic.xml.crypto.wss.SecurityTokenValidateResult` | `validateUnmarshalled(SecurityToken token, MessageContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClientBSTHandler

    public ClientBSTHandler()

Method Detail

### getInstance

    public static SecurityTokenHandler getInstance()

### getSubject

    public Subject getSubject(SecurityToken token,
                              MessageContext msgCtx)
                       throws weblogic.xml.crypto.wss.WSSecurityException

  Specified by:
    `getSubject` in interface `SecurityTokenHandler`
  Overrides:
    `getSubject` in class `weblogic.xml.crypto.wss.BinarySecurityTokenHandler`
  Throws:
    `weblogic.xml.crypto.wss.WSSecurityException`

### validateProcessed

    public weblogic.xml.crypto.wss.SecurityTokenValidateResult validateProcessed(SecurityToken token,
                                                                                 MessageContext ctx)

  Specified by:
    `validateProcessed` in interface `SecurityTokenHandler`
  Overrides:
    `validateProcessed` in class `weblogic.xml.crypto.wss.BinarySecurityTokenHandler`

### validateUnmarshalled

    public weblogic.xml.crypto.wss.SecurityTokenValidateResult validateUnmarshalled(SecurityToken token,
                                                                                    MessageContext ctx)
                                                     throws weblogic.xml.crypto.wss.WSSecurityException

  Specified by:
    `validateUnmarshalled` in interface `SecurityTokenHandler`
  Overrides:
    `validateUnmarshalled` in class `weblogic.xml.crypto.wss.BinarySecurityTokenHandler`
  Throws:
    `weblogic.xml.crypto.wss.WSSecurityException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD